.hero-slider {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.hero-slide {
  position: relative;
}

.hero-bg {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.hero-slider[data-size="full"] .hero-bg {
  width: 100%;
  height: 100dvh;
  min-height: 60rem;
  object-fit: cover;
  object-position: center;
}
.hero-slider[data-size="slim"] .hero-bg {
  width: 100%;
  height: 50dvh;
  min-height: 60rem;
  object-fit: cover;
  object-position: center;
}

.hero-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
}

.hero-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 2;
  width: 90%;
  max-width: 110rem;
}
.hero-slider[data-size="slim"] .hero-content {
  padding-top: 10rem;
}

.hero-title {
  font-size: 5.5rem;
  margin-bottom: 1rem;
}

.hero-text {
  font-size: 2rem;
}

.hero-btn {
  font-size: 2rem;
  text-decoration: none !important;
  margin-top: 3rem;
  display: inline-block;
  background-color: #fff;
  border: 2px solid #001f5c;
  color: #000;
  padding: 0.6em 1.5em;
  text-decoration: none;
  font-weight: 700;
  border-radius: 2rem;
  transition: background 0.3s ease;
  text-transform: uppercase;
}
.hero-btn:hover {
  background-color: #001f5c;
  color: #fff !important;
}

.hero-slider .swiper-pagination-clickable {
  margin: 4rem 0;
}
.hero-slider .swiper-pagination-clickable .swiper-pagination-bullet {
  width: 1rem;
  height: 1rem;
  background: #fff;
  opacity: 0.5;
  margin: 0 0.5rem;
  border-radius: 50%;
}
.hero-slider .swiper-pagination-clickable .swiper-pagination-bullet-active {
  background: #fff;
  opacity: 1;
}

@media (max-width: 768px) {
  .hero-title {
    font-size: 2.5rem;
  }
  .hero-text {
    font-size: 1.5rem;
  }
  .hero-btn {
    font-size: 1.5rem;
    padding: 0.4em 1.2em;
  }
}
